FullClassNameMatcher (Commons IO 2.5)
Date: 2016-12-01

org.apache.commons.io.serialization

## Class FullClassNameMatcher

- java.lang.Object
- - org.apache.commons.io.serialization.FullClassNameMatcher

- All Implemented Interfaces:
    ClassNameMatcher

      final class FullClassNameMatcher
      extends java.lang.Object
      implements ClassNameMatcher

  A `ClassNameMatcher` that matches on full class names.

  This object is immutable and thread-safe.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.util.Set<java.lang.String>` | `classesSet`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FullClassNameMatcher(java.lang.String... classes)` Constructs an object based on the specified class names.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `matches(java.lang.String className)` Returns `true` if the supplied class name matches this object's condition.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### classesSet

          private final java.util.Set<java.lang.String> classesSet

  - ### Constructor Detail

    - #### FullClassNameMatcher

          public FullClassNameMatcher(java.lang.String... classes)

      Constructs an object based on the specified class names.
      Parameters:
        `classes` - a list of class names

  - ### Method Detail

    - #### matches

          public boolean matches(java.lang.String className)

      Description copied from interface: `ClassNameMatcher`
      Returns `true` if the supplied class name matches this object's condition.
      Specified by:
        `matches` in interface `ClassNameMatcher`
      Parameters:
        `className` - fully qualified class name
      Returns:
        `true` if the class name matches this object's condition

Copyright (c) 2002-2016 Apache Software Foundation